ActionForwards (Apache Struts API Documentation)
Keywords: org.apache.struts.action.ActionForwards,ActionForwards class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.action
Class ActionForwards

    java.lang.Object
      |
      +--org.apache.struts.action.ActionForwards

All Implemented Interfaces:
  java.io.Serializable

Deprecated. Replaced by collection of ForwardConfig instances in `ModuleConfig` and ActionConfig

public class ActionForwards
extends java.lang.Object
implements java.io.Serializable

Encapsulate a collection of ActionForward objects that can be administered and searched, while hiding the internal implementation.

Version:
  $Revision: 1.1 $ $Date: 2003-08-22 09:14:33 +0100 (Fri, 22 Aug 2003) $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary
`private org.apache.commons.collections.FastHashMap` | `forwards` Deprecated. The collection of ActionForward instances, keyed by logical name.

Constructor Summary
`ActionForwards()` Deprecated.

Method Summary
`void` | `addForward(ActionForward forward)` Deprecated. Register a logical forwarding to the set configured for this servlet.
`ActionForward` | `findForward(java.lang.String name)` Deprecated. Return the forwarding associated with the specified logical name, if any; otherwise return `null`.
`java.lang.String[]` | `findForwards()` Deprecated. Return the set of logical names for forwards defined in this collection.
`boolean` | `getFast()` Deprecated. Return the "fast" mode flag.
`void` | `removeForward(ActionForward forward)` Deprecated. Deregister a forwarding from the set configured for this servlet.
`void` | `setFast(boolean fast)` Deprecated. Set the "fast" mode flag.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### forwards

    private org.apache.commons.collections.FastHashMap forwards

  Deprecated.
  The collection of ActionForward instances, keyed by logical name.

Constructor Detail

### ActionForwards

    public ActionForwards()

  Deprecated.

Method Detail

### getFast

    public boolean getFast()

  Deprecated.
  Return the "fast" mode flag.

### setFast

    public void setFast(boolean fast)

  Deprecated.
  Set the "fast" mode flag.

  Parameters:
    `fast` - The new fast mode flag

### addForward

    public void addForward(ActionForward forward)

  Deprecated.
  Register a logical forwarding to the set configured for this servlet.

  Parameters:
    `forward` - The forwarding to be added

### findForward

    public ActionForward findForward(java.lang.String name)

  Deprecated.
  Return the forwarding associated with the specified logical name, if any; otherwise return `null`.

  Parameters:
    `name` - Logical name of the requested forwarding

### findForwards

    public java.lang.String[] findForwards()

  Deprecated.
  Return the set of logical names for forwards defined in this collection. If there are no such forwards, a zero-length array is returned.

### removeForward

    public void removeForward(ActionForward forward)

  Deprecated.
  Deregister a forwarding from the set configured for this servlet.

  Parameters:
    `forward` - The forwarding to be deregistered

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation